net.sf.statcvs.util

## Class ConsoleOutHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - net.sf.statcvs.util.ConsoleOutHandler

    public class ConsoleOutHandler
    extends StreamHandler

A simplified copy of `java.util.logging.ConsoleHandler`. It writes to `System.out` instead of `System.err` and uses the `LogFormatter` to format

Version:
  $Id: ConsoleOutHandler.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

### Constructor Summary

Constructors
Constructor and Description
`ConsoleOutHandler()` Create a `ConsoleOutHandler` for `System.out`.

### Method Summary

Methods
`void` `close()` Override `StreamHandler.close` to do a flush but not to close the output stream.
`void` `publish(LogRecord record)` Publish a `LogRecord`.

### Methods inherited from class java.util.logging.StreamHandler

`flush, isLoggable, setEncoding, setOutputStream`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsoleOutHandler

    public ConsoleOutHandler()

Create a `ConsoleOutHandler` for `System.out`.

### Method Detail

#### publish

    public void publish(LogRecord record)

Publish a `LogRecord`.

The logging request was made initially to a `Logger` object, which initialized the `LogRecord` and forwarded it here.

Overrides:
  `publish` in class `StreamHandler`
Parameters:
  `record` - description of the log event

#### close

    public void close()

Override `StreamHandler.close` to do a flush but not to close the output stream. That is, we do not close `System.err`.

Overrides:
  `close` in class `StreamHandler`